#!/bin/sh
base=/tmp/toicnf$$
#base=/tmp/toicnf
cnf=$base.cnf
trap "rm -f $base*" 2
rm -f $cnf
if [ $# -gt 0 ]
then
  case $1 in
    *.bz2) bzcat $* > $cnf;;
    *.gz) gunzip -c $* > $cnf;;
    *) cat $* > $cnf;;
  esac
else
  cat > $cnf
fi
vars=`cnfstats < $cnf|sed -e '/\.\.\./,$d'|awk '/^[0-9]/{print $2}'|head -5`
v0=`echo $vars|awk '{print $1}'`
v1=`echo $vars|awk '{print $2}'`
v2=`echo $vars|awk '{print $3}'`
v3=`echo $vars|awk '{print $4}'`
v4=`echo $vars|awk '{print $5}'`
echo "p inccnf"
sed -e '/c/d' $cnf
echo "a -$v0 -$v1 -$v2 -$v3 -$v4 0"
echo "a -$v0 -$v1 -$v2 -$v3  $v4 0"
echo "a -$v0 -$v1 -$v2  $v3 -$v4 0"
echo "a -$v0 -$v1 -$v2  $v3  $v4 0"
echo "a -$v0 -$v1  $v2 -$v3 -$v4 0"
echo "a -$v0 -$v1  $v2 -$v3  $v4 0"
echo "a -$v0 -$v1  $v2  $v3 -$v4 0"
echo "a -$v0 -$v1  $v2  $v3  $v4 0"
echo "a -$v0  $v1 -$v2 -$v3 -$v4 0"
echo "a -$v0  $v1 -$v2 -$v3  $v4 0"
echo "a -$v0  $v1 -$v2  $v3 -$v4 0"
echo "a -$v0  $v1 -$v2  $v3  $v4 0"
echo "a -$v0  $v1  $v2 -$v3 -$v4 0"
echo "a -$v0  $v1  $v2 -$v3  $v4 0"
echo "a -$v0  $v1  $v2  $v3 -$v4 0"
echo "a -$v0  $v1  $v2  $v3  $v4 0"
echo "a  $v0 -$v1 -$v2 -$v3 -$v4 0"
echo "a  $v0 -$v1 -$v2 -$v3  $v4 0"
echo "a  $v0 -$v1 -$v2  $v3 -$v4 0"
echo "a  $v0 -$v1 -$v2  $v3  $v4 0"
echo "a  $v0 -$v1  $v2 -$v3 -$v4 0"
echo "a  $v0 -$v1  $v2 -$v3  $v4 0"
echo "a  $v0 -$v1  $v2  $v3 -$v4 0"
echo "a  $v0 -$v1  $v2  $v3  $v4 0"
echo "a  $v0  $v1 -$v2 -$v3 -$v4 0"
echo "a  $v0  $v1 -$v2 -$v3  $v4 0"
echo "a  $v0  $v1 -$v2  $v3 -$v4 0"
echo "a  $v0  $v1 -$v2  $v3  $v4 0"
echo "a  $v0  $v1  $v2 -$v3 -$v4 0"
echo "a  $v0  $v1  $v2 -$v3  $v4 0"
echo "a  $v0  $v1  $v2  $v3 -$v4 0"
echo "a  $v0  $v1  $v2  $v3  $v4 0"
rm -f $base*
